/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.mail.reader.model;

import java.io.File;

/**
 * @author Scott Lee
 */
public class MailFile {

	public MailFile(File file, String fileName, long size) {
		_file = file;
		_fileName = fileName;
		_size = size;

		_contentPath = null;
	}

	public MailFile(String contentPath, String fileName, long size) {
		_contentPath = contentPath;
		_fileName = fileName;
		_size = size;

		_file = null;
	}

	public void cleanUp() {
		if ((_file != null) && _file.exists()) {
			_file.delete();
		}
	}

	public String getContentPath() {
		return _contentPath;
	}

	public File getFile() {
		return _file;
	}

	public String getFileName() {
		return _fileName;
	}

	public long getSize() {
		return _size;
	}

	private final String _contentPath;
	private final File _file;
	private final String _fileName;
	private final long _size;

}